GNU bug report logs - #54812
‘guix system reconfigure’ closes SSH connections

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Ludovic Courtès <ludo@HIDDEN>; dated Sat, 9 Apr 2022 12:06:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 54812 <at> debbugs.gnu.org:


Received: (at 54812) by debbugs.gnu.org; 16 May 2022 23:42:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 16 19:42:17 2022
Received: from localhost ([127.0.0.1]:55316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqkLx-0000zf-73
	for submit <at> debbugs.gnu.org; Mon, 16 May 2022 19:42:17 -0400
Received: from wnew4-smtp.messagingengine.com ([64.147.123.18]:48063)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cwebber@HIDDEN>) id 1nqkLw-0000zT-Au
 for 54812 <at> debbugs.gnu.org; Mon, 16 May 2022 19:42:16 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.46])
 by mailnew.west.internal (Postfix) with ESMTP id 654BE2B00513;
 Mon, 16 May 2022 19:42:10 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Mon, 16 May 2022 19:42:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=dustycloud.org;
 h=cc:cc:content-transfer-encoding:content-type:date:date:from
 :from:in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to; s=fm1; t=1652744529; x=
 1652748129; bh=F7I6nkwiVthR2MFgaFx1F5SGgaNrIlCT0RbNR8Ezkto=; b=G
 XqqdM8yHfJBAAbSDltHcwYQ22y8d1zLlkUWWnYa+ZcJQOMfD1FVuzUJmscjBvHDV
 txNkZzUSLqBeQAe/tHgpO9ClYragx4SZauf5zs6HQ8U20uhc0V+GYP8Xkgn8NdSN
 rusvvVK3oA9q/cNA7z/OvA/90Xy3TsPo90WDdPDO3DgQya0KJjtZ/D+i+SA+IteH
 Edp5y9BfkHZ5m2x4tkJZCPw0VcWnHHxX6ibV1qw14mWX0u5/pnN7rMLPpkB6QQh2
 srUz+2QuCp326AvryeZEpeTrdGQCU/SsSjkQOjZzR3Qatmw5qC/T1zRQSImo3US0
 EPKgTvPjl/txrLyN4yt+A==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding
 :content-type:date:date:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm1; t=1652744529; x=1652748129; bh=F7I6nkwiVthR2
 MFgaFx1F5SGgaNrIlCT0RbNR8Ezkto=; b=rfBTGWoysSE94esoIuLxeUdfZAWeE
 xJUcvZc8Ke+yGdfRJs3/QHIz/RiO9rcoFbxeb+blNOCgFQhmdZmGjevwKjCgS/Ot
 MTGS913JLoAw64dP6jpvQYbawR3N8Ku0bYS5JsbwQUlFQvh+3brGnowJ5Xu4bW0z
 XPba/WKMx3sYYhraAGYB/2HwmTOUItOuO7PaxLjio6sZeRWd38PCh3jOLZcMQZWs
 3Ii+cjPnpHwhIDxQYjGLuIP/WNk8/dJV5ogunLFRURMKg6jeWLN9JzTQUYfK7yMv
 wQ+wqRHDuJV90imAuBvhIvLvUAlzU7cq597RO7KDrrrpO+LHZOBwDJZMw==
X-ME-Sender: <xms:UeGCYk0PiULLG1TJJ_3u551Wq6aAEpld0VEl5z3Cy5OZzPxM3CVF4A>
 <xme:UeGCYvHNDKG0LyzRWIfDMW3LDboHBCJ8SLqoLuPcx1R2rlUtgTuoH3i1asnW1YVzN
 u4lkEuysmXKNdEJ6EQ>
X-ME-Received: <xmr:UeGCYs6NBuNrioVdT9wTc1u0UpVWG0lED-t8DAGbWcYxRMbFplqR4PFAeXOMa3vRfak-XZc0gFfhjHAq0RvV_yZj>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrheeigddvhecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenmh
 hishhsihhnghcuvffquchfihgvlhguucdlfedtmdenucfjughrpehffgfhvefuffgjkfgg
 tgfgsehtqhertddtreejnecuhfhrohhmpeevhhhrihhsthhinhgvucfnvghmmhgvrhdqhg
 gvsggsvghruceotgifvggssggvrhesughushhthigtlhhouhgurdhorhhgqeenucggtffr
 rghtthgvrhhnpeduudekvdehtdeftedtiedthfeggfekvdeihefhudeujeelheeiffffhe
 ehuefftdenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhm
 pegtfigvsggsvghrseguuhhsthihtghlohhuugdrohhrgh
X-ME-Proxy: <xmx:UeGCYt3g_C8Wzw5T2SK7h_uWa0v5YkGuu7MdbCUAubOSR1WOGT3b7w>
 <xmx:UeGCYnEQss7vuXtdW2aEUbb7_thIa8YCnQOVLpDzNrBqHu1eS0hnkg>
 <xmx:UeGCYm8iqaOz_34hDW5oTrCx3ROTSyuMOLjGNBFYT1e_9Ra-TuCDyQ>
 <xmx:UeGCYtNKih05GaG5Sa4CYCnfSA0ts54fxyhS6clbUKkrZ631GMfrKoZAcCM>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Mon,
 16 May 2022 19:42:09 -0400 (EDT)
References: <87k0by8nt0.fsf@HIDDEN> <87zgkt6gte.fsf@HIDDEN>
 <871qwv23go.fsf@HIDDEN> <87sfpbzrgw.fsf@HIDDEN>
User-agent: mu4e 1.6.10; emacs 27.2
From: Christine Lemmer-Webber <cwebber@HIDDEN>
Subject: Re: bug#54812: =?utf-8?Q?=E2=80=98guix?= system =?utf-8?Q?reconfi?=
 =?utf-8?Q?gure=E2=80=99?= closes SSH connections
Date: Mon, 16 May 2022 19:40:50 -0400
In-reply-to: <87sfpbzrgw.fsf@HIDDEN>
Message-ID: <87o7zxujse.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 54812
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 54812 <at> debbugs.gnu.org,
 bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Christine Lemmer-Webber <cwebber@HIDDEN> writes:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:
>>
>>> With OpenSSH turned into inetd style in commit
>>> 808b9e850491c7b1d867a5f1f4d5ee6f61f345d4, the service upgrade code used
>>> by =E2=80=98guix system reconfigure=E2=80=99 and =E2=80=98guix deploy=
=E2=80=99 wrongfully decides that
>>> the =E2=80=98sshd-*=E2=80=99 transient services corresponding to indivi=
dual SSH
>>> connections should be closed:
>>
>> Fixed with:
>>
>>   eeb8ac43c8 services: shepherd: Do not unload transient services.
>>   a2c759c830 services: herd: Report whether a service is transient.
>>
>> Ludo=E2=80=99.
>
> Hm.  I'm getting this issue.  I did a guix pull locally, on the
> server... doesn't seem to make a difference.  I get the very error
> reported above when using "guix deploy".
>
> I guess others aren't?  I wonder why I am...
>
>  - Christine

I reopened this, because I'm hitting it on all the machines I use "guix
deploy" with.  I think, before closing, it would be good to hear if any
other guix deploy users are hitting it.  If it's just me, well I'll have
to figure it out then, but I suspect it isn't just me. :)




Information forwarded to bug-guix@HIDDEN:
bug#54812; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 May 2022 23:42:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 16 19:42:35 2022
Received: from localhost ([127.0.0.1]:55321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqkM0-0000zv-FY
	for submit <at> debbugs.gnu.org; Mon, 16 May 2022 19:42:35 -0400
Received: from lists.gnu.org ([209.51.188.17]:60446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cwebber@HIDDEN>) id 1nqkLy-0000zo-Rz
 for submit <at> debbugs.gnu.org; Mon, 16 May 2022 19:42:19 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33998)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cwebber@HIDDEN>)
 id 1nqkLy-0008K6-BR
 for bug-guix@HIDDEN; Mon, 16 May 2022 19:42:18 -0400
Received: from wnew4-smtp.messagingengine.com ([64.147.123.18]:46559)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cwebber@HIDDEN>)
 id 1nqkLu-0001yD-UC; Mon, 16 May 2022 19:42:17 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.46])
 by mailnew.west.internal (Postfix) with ESMTP id 654BE2B00513;
 Mon, 16 May 2022 19:42:10 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Mon, 16 May 2022 19:42:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=dustycloud.org;
 h=cc:cc:content-transfer-encoding:content-type:date:date:from
 :from:in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to; s=fm1; t=1652744529; x=
 1652748129; bh=F7I6nkwiVthR2MFgaFx1F5SGgaNrIlCT0RbNR8Ezkto=; b=G
 XqqdM8yHfJBAAbSDltHcwYQ22y8d1zLlkUWWnYa+ZcJQOMfD1FVuzUJmscjBvHDV
 txNkZzUSLqBeQAe/tHgpO9ClYragx4SZauf5zs6HQ8U20uhc0V+GYP8Xkgn8NdSN
 rusvvVK3oA9q/cNA7z/OvA/90Xy3TsPo90WDdPDO3DgQya0KJjtZ/D+i+SA+IteH
 Edp5y9BfkHZ5m2x4tkJZCPw0VcWnHHxX6ibV1qw14mWX0u5/pnN7rMLPpkB6QQh2
 srUz+2QuCp326AvryeZEpeTrdGQCU/SsSjkQOjZzR3Qatmw5qC/T1zRQSImo3US0
 EPKgTvPjl/txrLyN4yt+A==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding
 :content-type:date:date:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm1; t=1652744529; x=1652748129; bh=F7I6nkwiVthR2
 MFgaFx1F5SGgaNrIlCT0RbNR8Ezkto=; b=rfBTGWoysSE94esoIuLxeUdfZAWeE
 xJUcvZc8Ke+yGdfRJs3/QHIz/RiO9rcoFbxeb+blNOCgFQhmdZmGjevwKjCgS/Ot
 MTGS913JLoAw64dP6jpvQYbawR3N8Ku0bYS5JsbwQUlFQvh+3brGnowJ5Xu4bW0z
 XPba/WKMx3sYYhraAGYB/2HwmTOUItOuO7PaxLjio6sZeRWd38PCh3jOLZcMQZWs
 3Ii+cjPnpHwhIDxQYjGLuIP/WNk8/dJV5ogunLFRURMKg6jeWLN9JzTQUYfK7yMv
 wQ+wqRHDuJV90imAuBvhIvLvUAlzU7cq597RO7KDrrrpO+LHZOBwDJZMw==
X-ME-Sender: <xms:UeGCYk0PiULLG1TJJ_3u551Wq6aAEpld0VEl5z3Cy5OZzPxM3CVF4A>
 <xme:UeGCYvHNDKG0LyzRWIfDMW3LDboHBCJ8SLqoLuPcx1R2rlUtgTuoH3i1asnW1YVzN
 u4lkEuysmXKNdEJ6EQ>
X-ME-Received: <xmr:UeGCYs6NBuNrioVdT9wTc1u0UpVWG0lED-t8DAGbWcYxRMbFplqR4PFAeXOMa3vRfak-XZc0gFfhjHAq0RvV_yZj>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrheeigddvhecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenmh
 hishhsihhnghcuvffquchfihgvlhguucdlfedtmdenucfjughrpehffgfhvefuffgjkfgg
 tgfgsehtqhertddtreejnecuhfhrohhmpeevhhhrihhsthhinhgvucfnvghmmhgvrhdqhg
 gvsggsvghruceotgifvggssggvrhesughushhthigtlhhouhgurdhorhhgqeenucggtffr
 rghtthgvrhhnpeduudekvdehtdeftedtiedthfeggfekvdeihefhudeujeelheeiffffhe
 ehuefftdenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhm
 pegtfigvsggsvghrseguuhhsthihtghlohhuugdrohhrgh
X-ME-Proxy: <xmx:UeGCYt3g_C8Wzw5T2SK7h_uWa0v5YkGuu7MdbCUAubOSR1WOGT3b7w>
 <xmx:UeGCYnEQss7vuXtdW2aEUbb7_thIa8YCnQOVLpDzNrBqHu1eS0hnkg>
 <xmx:UeGCYm8iqaOz_34hDW5oTrCx3ROTSyuMOLjGNBFYT1e_9Ra-TuCDyQ>
 <xmx:UeGCYtNKih05GaG5Sa4CYCnfSA0ts54fxyhS6clbUKkrZ631GMfrKoZAcCM>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Mon,
 16 May 2022 19:42:09 -0400 (EDT)
References: <87k0by8nt0.fsf@HIDDEN> <87zgkt6gte.fsf@HIDDEN>
 <871qwv23go.fsf@HIDDEN> <87sfpbzrgw.fsf@HIDDEN>
User-agent: mu4e 1.6.10; emacs 27.2
From: Christine Lemmer-Webber <cwebber@HIDDEN>
Subject: Re: bug#54812: =?utf-8?Q?=E2=80=98guix?= system =?utf-8?Q?reconfi?=
 =?utf-8?Q?gure=E2=80=99?= closes SSH connections
Date: Mon, 16 May 2022 19:40:50 -0400
In-reply-to: <87sfpbzrgw.fsf@HIDDEN>
Message-ID: <87o7zxujse.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=64.147.123.18;
 envelope-from=cwebber@HIDDEN; helo=wnew4-smtp.messagingengine.com
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, MISSING_HEADERS=1.021,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: submit
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 54812 <at> debbugs.gnu.org,
 bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

Christine Lemmer-Webber <cwebber@HIDDEN> writes:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:
>>
>>> With OpenSSH turned into inetd style in commit
>>> 808b9e850491c7b1d867a5f1f4d5ee6f61f345d4, the service upgrade code used
>>> by =E2=80=98guix system reconfigure=E2=80=99 and =E2=80=98guix deploy=
=E2=80=99 wrongfully decides that
>>> the =E2=80=98sshd-*=E2=80=99 transient services corresponding to indivi=
dual SSH
>>> connections should be closed:
>>
>> Fixed with:
>>
>>   eeb8ac43c8 services: shepherd: Do not unload transient services.
>>   a2c759c830 services: herd: Report whether a service is transient.
>>
>> Ludo=E2=80=99.
>
> Hm.  I'm getting this issue.  I did a guix pull locally, on the
> server... doesn't seem to make a difference.  I get the very error
> reported above when using "guix deploy".
>
> I guess others aren't?  I wonder why I am...
>
>  - Christine

I reopened this, because I'm hitting it on all the machines I use "guix
deploy" with.  I think, before closing, it would be good to hear if any
other guix deploy users are hitting it.  If it's just me, well I'll have
to figure it out then, but I suspect it isn't just me. :)




Information forwarded to bug-guix@HIDDEN:
bug#54812; Package guix. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 54812-done <at> debbugs.gnu.org:


Received: (at 54812-done) by debbugs.gnu.org; 14 May 2022 22:20:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 14 18:20:42 2022
Received: from localhost ([127.0.0.1]:47634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq07u-0007hN-Hz
	for submit <at> debbugs.gnu.org; Sat, 14 May 2022 18:20:42 -0400
Received: from wnew4-smtp.messagingengine.com ([64.147.123.18]:44319)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cwebber@HIDDEN>) id 1nq07q-0007gq-GT
 for 54812-done <at> debbugs.gnu.org; Sat, 14 May 2022 18:20:38 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailnew.west.internal (Postfix) with ESMTP id BA8B52B01143;
 Sat, 14 May 2022 18:20:32 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Sat, 14 May 2022 18:20:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=dustycloud.org;
 h=cc:cc:content-transfer-encoding:content-type:date:date:from
 :from:in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to; s=fm1; t=1652566832; x=
 1652570432; bh=cnLITU/Ev/u6ZuVZD6jpo3XmnK9ztKR2qDjpRVDkV90=; b=c
 yjdG24cKvooBH1wmEqU2Gfy9W2BNV/HmVSiRXp+0uS8gc0u5iI+cFPQWnHxw54a7
 fXC8vhQuiqmwGMI8obFGjGuk3zo63BOKoI+zlT78OpaMO7KW5jyg05roMnSP2WIE
 WC5iMZq4sCX3SlShC2OC5jiOX9vUgm3AmF36n59D0nBSWnLn/r+a2cSfL78Ek6in
 BdwZ70k6yQY4jymllRD6UGHUGYvKGlBXGEuV0WW7uIa0pUQcvtzukreiQ97WtJTI
 bphZmA97br8ovEXmoe3ZSLSnwIqxFDv2GTHnyy8poJTdNPKNFCBYtReayWX9k5ib
 W0LE4VR8YofytXLvviZ9Q==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding
 :content-type:date:date:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm1; t=1652566832; x=1652570432; bh=cnLITU/Ev/u6Z
 uVZD6jpo3XmnK9ztKR2qDjpRVDkV90=; b=W87czBhgb+k33wXTeSnfY+vUtQ8CZ
 D7eb5ck6JZaEAi6jVWNT2LxUdtoIT+cnv4l3eA1BBjL688B8flYXJXeujCksN3sa
 /S5BDoP/cddZyGmAdDWXY5XehZ5KkPJYMcaIqMiqErSMwMg5zv7Rzaud0TGEy94I
 GIRYM9Dl+MpxeeY50ChVy+fgr6MxLli3T7wDy13XOl5zps3FzCAp3Hs0vGEs4H9t
 AIR9yVsbduGsdHM22G70qqPRantlA8E48GhwHGRaf+zEwGpk8UbUeHqDcVFje3lu
 aDPOpzRsAayqYuhh5CydGN+hT3Nik6e/RGOIvpMGgNHB906OmglaZdEyA==
X-ME-Sender: <xms:MCuAYgNKKvlyj-LPcDEJZNsatkKnsduoVxLd6bgJ1e-RgIGr7w3yIg>
 <xme:MCuAYm9ROjJPikbSej0DVcdpP5d3Bqfc9kR70xaZ72QPPPuI-NNriJ-EOpxC40PCf
 MDckKlwRXlyrG6j38Y>
X-ME-Received: <xmr:MCuAYnS-shNDo5AW6yAtx40gxLQe532wRwxam5yn1Yh-uTvKwyo5qMlJMnUMQmyRh49teQ-4erHbAk66CXjaYEuX>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrhedvgddtvdcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpehffgfhvfevufffjgfkgggtgfesthhqredttderjeenucfhrhhomhepvehhrhhi
 shhtihhnvgcunfgvmhhmvghrqdghvggssggvrhcuoegtfigvsggsvghrseguuhhsthihtg
 hlohhuugdrohhrgheqnecuggftrfgrthhtvghrnhepfeeltdeltdehgedtgfffteetheek
 leffffeuffefgffhieduffekueffteffveefnecuvehluhhsthgvrhfuihiivgeptdenuc
 frrghrrghmpehmrghilhhfrhhomheptgifvggssggvrhesughushhthigtlhhouhgurdho
 rhhg
X-ME-Proxy: <xmx:MCuAYou7CmpHgxEJjGcCP-9PZr-idunGvyIc1XQo6bP3pYQgJpxXcg>
 <xmx:MCuAYoeAeHXeOaKkvpd1Q9cd_vhGqNgvgL0y68RuwKKVHSUclcqCrA>
 <xmx:MCuAYs2fIlckWN8LgVu94HGtHuIEudGSGKA9YzXVpj0k8Y_IzdAc_Q>
 <xmx:MCuAYkGNS-FYfkDLFtVqbHxLQ3sPSXTb4dzwnky6kMdy4725mPq53btuyfU>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Sat,
 14 May 2022 18:20:31 -0400 (EDT)
References: <87k0by8nt0.fsf@HIDDEN> <87zgkt6gte.fsf@HIDDEN>
 <871qwv23go.fsf@HIDDEN>
User-agent: mu4e 1.6.10; emacs 27.2
From: Christine Lemmer-Webber <cwebber@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#54812: =?utf-8?Q?=E2=80=98guix?= system =?utf-8?Q?reconfi?=
 =?utf-8?Q?gure=E2=80=99?= closes SSH connections
Date: Sat, 14 May 2022 18:19:56 -0400
In-reply-to: <871qwv23go.fsf@HIDDEN>
Message-ID: <87sfpbzrgw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54812-done
Cc: bug-guix@HIDDEN, 54812-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:
>
>> With OpenSSH turned into inetd style in commit
>> 808b9e850491c7b1d867a5f1f4d5ee6f61f345d4, the service upgrade code used
>> by =E2=80=98guix system reconfigure=E2=80=99 and =E2=80=98guix deploy=E2=
=80=99 wrongfully decides that
>> the =E2=80=98sshd-*=E2=80=99 transient services corresponding to individ=
ual SSH
>> connections should be closed:
>
> Fixed with:
>
>   eeb8ac43c8 services: shepherd: Do not unload transient services.
>   a2c759c830 services: herd: Report whether a service is transient.
>
> Ludo=E2=80=99.

Hm.  I'm getting this issue.  I did a guix pull locally, on the
server... doesn't seem to make a difference.  I get the very error
reported above when using "guix deploy".

I guess others aren't?  I wonder why I am...

 - Christine





Information forwarded to bug-guix@HIDDEN:
bug#54812; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 May 2022 22:20:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 14 18:20:39 2022
Received: from localhost ([127.0.0.1]:47632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nq07q-0007h9-U0
	for submit <at> debbugs.gnu.org; Sat, 14 May 2022 18:20:39 -0400
Received: from lists.gnu.org ([209.51.188.17]:60296)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cwebber@HIDDEN>) id 1nq07p-0007h0-DG
 for submit <at> debbugs.gnu.org; Sat, 14 May 2022 18:20:37 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54516)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cwebber@HIDDEN>)
 id 1nq07p-0000V1-8h
 for bug-guix@HIDDEN; Sat, 14 May 2022 18:20:37 -0400
Received: from wnew4-smtp.messagingengine.com ([64.147.123.18]:42973)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cwebber@HIDDEN>)
 id 1nq07n-00029n-9X; Sat, 14 May 2022 18:20:36 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailnew.west.internal (Postfix) with ESMTP id BA8B52B01143;
 Sat, 14 May 2022 18:20:32 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Sat, 14 May 2022 18:20:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=dustycloud.org;
 h=cc:cc:content-transfer-encoding:content-type:date:date:from
 :from:in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to; s=fm1; t=1652566832; x=
 1652570432; bh=cnLITU/Ev/u6ZuVZD6jpo3XmnK9ztKR2qDjpRVDkV90=; b=c
 yjdG24cKvooBH1wmEqU2Gfy9W2BNV/HmVSiRXp+0uS8gc0u5iI+cFPQWnHxw54a7
 fXC8vhQuiqmwGMI8obFGjGuk3zo63BOKoI+zlT78OpaMO7KW5jyg05roMnSP2WIE
 WC5iMZq4sCX3SlShC2OC5jiOX9vUgm3AmF36n59D0nBSWnLn/r+a2cSfL78Ek6in
 BdwZ70k6yQY4jymllRD6UGHUGYvKGlBXGEuV0WW7uIa0pUQcvtzukreiQ97WtJTI
 bphZmA97br8ovEXmoe3ZSLSnwIqxFDv2GTHnyy8poJTdNPKNFCBYtReayWX9k5ib
 W0LE4VR8YofytXLvviZ9Q==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding
 :content-type:date:date:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm1; t=1652566832; x=1652570432; bh=cnLITU/Ev/u6Z
 uVZD6jpo3XmnK9ztKR2qDjpRVDkV90=; b=W87czBhgb+k33wXTeSnfY+vUtQ8CZ
 D7eb5ck6JZaEAi6jVWNT2LxUdtoIT+cnv4l3eA1BBjL688B8flYXJXeujCksN3sa
 /S5BDoP/cddZyGmAdDWXY5XehZ5KkPJYMcaIqMiqErSMwMg5zv7Rzaud0TGEy94I
 GIRYM9Dl+MpxeeY50ChVy+fgr6MxLli3T7wDy13XOl5zps3FzCAp3Hs0vGEs4H9t
 AIR9yVsbduGsdHM22G70qqPRantlA8E48GhwHGRaf+zEwGpk8UbUeHqDcVFje3lu
 aDPOpzRsAayqYuhh5CydGN+hT3Nik6e/RGOIvpMGgNHB906OmglaZdEyA==
X-ME-Sender: <xms:MCuAYgNKKvlyj-LPcDEJZNsatkKnsduoVxLd6bgJ1e-RgIGr7w3yIg>
 <xme:MCuAYm9ROjJPikbSej0DVcdpP5d3Bqfc9kR70xaZ72QPPPuI-NNriJ-EOpxC40PCf
 MDckKlwRXlyrG6j38Y>
X-ME-Received: <xmr:MCuAYnS-shNDo5AW6yAtx40gxLQe532wRwxam5yn1Yh-uTvKwyo5qMlJMnUMQmyRh49teQ-4erHbAk66CXjaYEuX>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrhedvgddtvdcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpehffgfhvfevufffjgfkgggtgfesthhqredttderjeenucfhrhhomhepvehhrhhi
 shhtihhnvgcunfgvmhhmvghrqdghvggssggvrhcuoegtfigvsggsvghrseguuhhsthihtg
 hlohhuugdrohhrgheqnecuggftrfgrthhtvghrnhepfeeltdeltdehgedtgfffteetheek
 leffffeuffefgffhieduffekueffteffveefnecuvehluhhsthgvrhfuihiivgeptdenuc
 frrghrrghmpehmrghilhhfrhhomheptgifvggssggvrhesughushhthigtlhhouhgurdho
 rhhg
X-ME-Proxy: <xmx:MCuAYou7CmpHgxEJjGcCP-9PZr-idunGvyIc1XQo6bP3pYQgJpxXcg>
 <xmx:MCuAYoeAeHXeOaKkvpd1Q9cd_vhGqNgvgL0y68RuwKKVHSUclcqCrA>
 <xmx:MCuAYs2fIlckWN8LgVu94HGtHuIEudGSGKA9YzXVpj0k8Y_IzdAc_Q>
 <xmx:MCuAYkGNS-FYfkDLFtVqbHxLQ3sPSXTb4dzwnky6kMdy4725mPq53btuyfU>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Sat,
 14 May 2022 18:20:31 -0400 (EDT)
References: <87k0by8nt0.fsf@HIDDEN> <87zgkt6gte.fsf@HIDDEN>
 <871qwv23go.fsf@HIDDEN>
User-agent: mu4e 1.6.10; emacs 27.2
From: Christine Lemmer-Webber <cwebber@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#54812: =?utf-8?Q?=E2=80=98guix?= system =?utf-8?Q?reconfi?=
 =?utf-8?Q?gure=E2=80=99?= closes SSH connections
Date: Sat, 14 May 2022 18:19:56 -0400
In-reply-to: <871qwv23go.fsf@HIDDEN>
Message-ID: <87sfpbzrgw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=64.147.123.18;
 envelope-from=cwebber@HIDDEN; helo=wnew4-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 54812-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:
>
>> With OpenSSH turned into inetd style in commit
>> 808b9e850491c7b1d867a5f1f4d5ee6f61f345d4, the service upgrade code used
>> by =E2=80=98guix system reconfigure=E2=80=99 and =E2=80=98guix deploy=E2=
=80=99 wrongfully decides that
>> the =E2=80=98sshd-*=E2=80=99 transient services corresponding to individ=
ual SSH
>> connections should be closed:
>
> Fixed with:
>
>   eeb8ac43c8 services: shepherd: Do not unload transient services.
>   a2c759c830 services: herd: Report whether a service is transient.
>
> Ludo=E2=80=99.

Hm.  I'm getting this issue.  I did a guix pull locally, on the
server... doesn't seem to make a difference.  I get the very error
reported above when using "guix deploy".

I guess others aren't?  I wonder why I am...

 - Christine





Information forwarded to bug-guix@HIDDEN:
bug#54812; Package guix. Full text available.
bug unarchived. Request was from Christine Lemmer-Webber <cwebber@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 54812-done <at> debbugs.gnu.org:


Received: (at 54812-done) by debbugs.gnu.org; 9 Apr 2022 22:19:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 09 18:19:17 2022
Received: from localhost ([127.0.0.1]:38901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ndJQL-0005ng-H3
	for submit <at> debbugs.gnu.org; Sat, 09 Apr 2022 18:19:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1ndJQK-0005nT-3U
 for 54812-done <at> debbugs.gnu.org; Sat, 09 Apr 2022 18:19:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58174)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1ndJQE-0001Vm-Tz
 for 54812-done <at> debbugs.gnu.org; Sat, 09 Apr 2022 18:19:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=IKmvaDCuZwwQucVtVtRPginja/eynKDnhPA+9vwYkuo=; b=cE1BIf5PWlAlRbIsFL+R
 yUJgU5G8EEfoj5kku2H6pA6EkfQXy/UQez+ZmNgz7pR5Al8GcCpadgi+3btv4HA4cKouUyZtbdGBH
 2LedEx/6yEfdkWT/McIepm6bBYHrdXJCvWRBZr9nWQG/5rY4iXYfHjkLElSxRQrZnBiCcFSxMBmA3
 56RgGDv45JG7rChrSzDaw6yZc4bV+4sCcJB5aH62QOLpcbKn1ItnoAJYhqEHhkYoHB//YJNv/gwxe
 pmLIVowZQWdH8vLFMDdvfxm4fJVVtJlFL5C8R12ZDlw9idfcEkwOtDcjW/xwG9tLZ2WBXm/eF0HsN
 sy+Wb2rv5hTULg==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:63477
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1ndJQE-0001ks-Hd
 for 54812-done <at> debbugs.gnu.org; Sat, 09 Apr 2022 18:19:10 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: 54812-done <at> debbugs.gnu.org
Subject: Re: bug#54812: =?utf-8?Q?=E2=80=98guix?= system =?utf-8?Q?reconfi?=
 =?utf-8?Q?gure=E2=80=99?= closes SSH connections
References: <87k0by8nt0.fsf@HIDDEN>
Date: Sun, 10 Apr 2022 00:19:09 +0200
In-Reply-To: <87k0by8nt0.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22?=
 =?utf-8?Q?'s?= message of "Sat, 09 Apr 2022 14:05:15 +0200")
Message-ID: <87zgkt6gte.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54812-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:

> With OpenSSH turned into inetd style in commit
> 808b9e850491c7b1d867a5f1f4d5ee6f61f345d4, the service upgrade code used
> by =E2=80=98guix system reconfigure=E2=80=99 and =E2=80=98guix deploy=E2=
=80=99 wrongfully decides that
> the =E2=80=98sshd-*=E2=80=99 transient services corresponding to individu=
al SSH
> connections should be closed:

Fixed with:

  eeb8ac43c8 services: shepherd: Do not unload transient services.
  a2c759c830 services: herd: Report whether a service is transient.

Ludo=E2=80=99.




Notification sent to Ludovic Courtès <ludo@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Apr 2022 12:05:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 09 08:05:23 2022
Received: from localhost ([127.0.0.1]:36905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nd9qF-0004gK-LL
	for submit <at> debbugs.gnu.org; Sat, 09 Apr 2022 08:05:23 -0400
Received: from lists.gnu.org ([209.51.188.17]:58326)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nd9qC-0004gB-7l
 for submit <at> debbugs.gnu.org; Sat, 09 Apr 2022 08:05:22 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46946)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1nd9qA-0007Wc-Vb
 for bug-guix@HIDDEN; Sat, 09 Apr 2022 08:05:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49014)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1nd9qA-0004oO-NH
 for bug-guix@HIDDEN; Sat, 09 Apr 2022 08:05:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:Subject:To:From:in-reply-to:
 references; bh=zkS+5uYN1/asFHU1jstCUlnHasjm4JSx0ST67ptaPgE=; b=lv8CztgPjzrAnK
 xCkhnzoyArO2iSS04Gb9Ks6i5NwCalEFGEeWLSl79OAax+8OZem3o5MjZ/sa+I5m7P9OkFGiJ/3L/
 zqPvNOXZsiu6uc88aSLoiTQ+Af/ysVhc2keozjNWSe9ITnZYX7UiIKNYsaTWKsAAYH0YeaLKW+M87
 tl+gKT8j0AJOrBfsZAhNETUDeXpir2N58yiAAaNS9vooD5w1IygBveiV2r5MyLHmHpGuouvTqMNvu
 6Zw/azooiRNUEoTreK/Rm/sL+Cuey9/5jmSK+Cqo4wroRkiiCjpIymNcfeI+CCyQr16bFm0nInuHt
 /KwOTLWK/cy6bfT7uLfA==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:64129
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>) id 1nd9q9-0004d8-V6
 for bug-guix@HIDDEN; Sat, 09 Apr 2022 08:05:18 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: bug-guix@HIDDEN
Subject: =?utf-8?Q?=E2=80=98guix?= system =?utf-8?Q?reconfigure=E2=80=99?=
 closes SSH connections
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 20 Germinal an 230 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sat, 09 Apr 2022 14:05:15 +0200
Message-ID: <87k0by8nt0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

With OpenSSH turned into inetd style in commit
808b9e850491c7b1d867a5f1f4d5ee6f61f345d4, the service upgrade code used
by =E2=80=98guix system reconfigure=E2=80=99 and =E2=80=98guix deploy=E2=80=
=99 wrongfully decides that
the =E2=80=98sshd-*=E2=80=99 transient services corresponding to individual=
 SSH
connections should be closed:

--8<---------------cut here---------------start------------->8---
$ sudo guix system reconfigure =E2=80=A6
[=E2=80=A6]
guix system: chargeur d'amor=C3=A7age correctement install=C3=A9 sur =C2=AB=
 (/dev/sda) =C2=BB
0,0 Mo seront t=C3=A9l=C3=A9charg=C3=A9s
 module-import-compiled  20KiB                                             =
                                                                          1=
.2MiB/s 00:00 [##################] 100.0%
The following derivation will be built:
  /gnu/store/n99ahnnw94cay1drg499kxsg5ma6598p-upgrade-shepherd-services.scm=
.drv

0,0 Mo seront t=C3=A9l=C3=A9charg=C3=A9s
 module-import-compiled  20KiB                                             =
                                                                          1=
.8MiB/s 00:00 [##################] 100.0%
construction de /gnu/store/n99ahnnw94cay1drg499kxsg5ma6598p-upgrade-shepher=
d-services.scm.drv...
shepherd: Removing service 'sshd-1'...
shepherd: Service sshd-1 has been stopped.
shepherd: Transient service sshd-1 unregistered.
shepherd: Done.
shepherd: Removing service 'sshd-3'...
shepherd: Service sshd-3 has been stopped.
shepherd: Transient service sshd-3 unregistered.
shepherd: Done.
shepherd: Service swap-swap could not be started.
shepherd: Service host-name has been started.
shepherd: Service user-homes has been started.
shepherd: Service sysctl has been started.
shepherd: Service host-name has been started.
shepherd: Service term-console could not be started.
shepherd: Service bluetooth has been started.
Pour compl=C3=A9ter la mise =C3=A0 jour, lancez =C2=AB herd restart SERVICE=
 =C2=BB pour arr=C3=AAter,
mettre =C3=A0 jour et red=C3=A9marrer tous les services qui n'ont pas =C3=
=A9t=C3=A9 red=C3=A9marr=C3=A9s
automatiquement.
Lancez =C2=AB herd status =C2=BB pour visualiser la liste des services de v=
otre syst=C3=A8me.
--8<---------------cut here---------------end--------------->8---

I think the solution is to leave transient services untouched.

Unfortunately, the status sexp returned by =E2=80=98services->sexp=E2=80=99=
 currently
lacks information about whether a service is transient.

Ludo=E2=80=99.




Acknowledgement sent to Ludovic Courtès <ludo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#54812; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 16 May 2022 23:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.